Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ObjectLinkRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.ObjectLinkRecord

public class ObjectLinkRecord
extends Record

Links text to an object on the chart or identifies it as the title. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Andrew C. Oliver (acoliver at apache.org)

Field Summary
`static short` | `ANCHOR_ID_CHART_TITLE`
`static short` | `ANCHOR_ID_SERIES_OR_POINT`
`static short` | `ANCHOR_ID_X_AXIS`
`static short` | `ANCHOR_ID_Y_AXIS`
`static short` | `ANCHOR_ID_Z_AXIS`
`static short` | `sid`

Constructor Summary
`ObjectLinkRecord()`
`ObjectLinkRecord(short id, short size, byte[] data)` Constructs a ObjectLink record and sets its fields appropriately.
`ObjectLinkRecord(short id, short size, byte[] data, int offset)` Constructs a ObjectLink record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getAnchorId()` Get the anchor id field for the ObjectLink record.
`short` | `getLink1()` Get the link 1 field for the ObjectLink record.
`short` | `getLink2()` Get the link 2 field for the ObjectLink record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getSid()` return the non static version of the id for this record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setAnchorId(short field_1_anchorId)` Set the anchor id field for the ObjectLink record.
`void` | `setLink1(short field_2_link1)` Set the link 1 field for the ObjectLink record.
`void` | `setLink2(short field_3_link2)` Set the link 2 field for the ObjectLink record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### ANCHOR_ID_CHART_TITLE

    public static final short ANCHOR_ID_CHART_TITLE

See Also:
  Constant Field Values

### ANCHOR_ID_Y_AXIS

    public static final short ANCHOR_ID_Y_AXIS

See Also:
  Constant Field Values

### ANCHOR_ID_X_AXIS

    public static final short ANCHOR_ID_X_AXIS

See Also:
  Constant Field Values

### ANCHOR_ID_SERIES_OR_POINT

    public static final short ANCHOR_ID_SERIES_OR_POINT

See Also:
  Constant Field Values

### ANCHOR_ID_Z_AXIS

    public static final short ANCHOR_ID_Z_AXIS

See Also:
  Constant Field Values

Constructor Detail

### ObjectLinkRecord

    public ObjectLinkRecord()

### ObjectLinkRecord

    public ObjectLinkRecord(short id,
                            short size,
                            byte[] data)

  Constructs a ObjectLink record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1027 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### ObjectLinkRecord

    public ObjectLinkRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a ObjectLink record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1027 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getAnchorId

    public short getAnchorId()

  Get the anchor id field for the ObjectLink record.

  Returns:
    One of ANCHOR_ID_CHART_TITLE ANCHOR_ID_Y_AXIS ANCHOR_ID_X_AXIS ANCHOR_ID_SERIES_OR_POINT ANCHOR_ID_Z_AXIS

### setAnchorId

    public void setAnchorId(short field_1_anchorId)

  Set the anchor id field for the ObjectLink record.

  Parameters:
    `field_1_anchorId` - One of ANCHOR_ID_CHART_TITLE ANCHOR_ID_Y_AXIS ANCHOR_ID_X_AXIS ANCHOR_ID_SERIES_OR_POINT ANCHOR_ID_Z_AXIS

### getLink1

    public short getLink1()

  Get the link 1 field for the ObjectLink record.

### setLink1

    public void setLink1(short field_2_link1)

  Set the link 1 field for the ObjectLink record.

### getLink2

    public short getLink2()

  Get the link 2 field for the ObjectLink record.

### setLink2

    public void setLink2(short field_3_link2)

  Set the link 2 field for the ObjectLink record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.